Bug 50889 - running neat from the /etc/sysconfig/networking/profiles/default directory makes the directory inaccessible
running neat from the /etc/sysconfig/networking/profiles/default directory ma...
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2001-08-04 10:48 EDT by Panic
Modified: 2015-03-04 20:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-06 18:28:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Panic 2001-08-04 10:48:24 EDT
Description of Problem:

If you run neat from the "default" directory, it makes the directory
inaccesible (ls returns nothing, attempts to write the directory fail). 
Sometimes, the problem is accompanied by this error:

shell-init: could not get current directory: getcwd: cannot access parent
directories: No such file or directory

the error occurs sometimes when programs try to access the directory, and
sometimes is output by neat as it closes.

How Reproducible:


Steps to Reproduce:
1. run neat from the /etc/sysconfig/networking/profiles/default
2. exit neat
3. Note the errors, ls can't list the directory, etc.
4. recover by backing out of the directory and then going back in.

Actual Results:

directory is inaccessible

Expected Results:

neat should not have an effect on any directory, although this one seems to
be special (the problem only occurs in this directory) -- it may not be
neat causing the problem, it might be something in the shell responding to
a command issued by neat.

Additional Information:
Comment 1 Trond Eivind Glomsrxd 2001-08-05 15:45:59 EDT
The profile system is currently being adjusted.
Comment 2 Phil Knirsch 2001-08-06 11:38:44 EDT
This happens because when you press the OK button the configuration directory
/etc/sysconfig/networking/profiles will be recreated.

The problem is that it is not know wether new profiles had been added by hand
while neat was running, so we basically have to recreate the subdirectories there.

Agreed, default could stay, but all others need to be recreated.

Everything else leads to extreme madness.

I will fix it sothat it won't touch the default profile as that has to be always

Read ya, Phil
Comment 3 Glen Foster 2001-08-06 18:28:09 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 4 Phil Knirsch 2001-08-07 09:10:31 EDT
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.